<?php

namespace Src\Modules\Auth\Interfaces\Laravel;

use Illuminate\Contracts\Auth\Authenticatable;

interface IUser extends Authenticatable {
    public function getType(): string;
    public function load(array $data): void;
}